Bug 883515 - rhevm-image-uploader fails because NFS client doesn't autonegotiate
Summary: rhevm-image-uploader fails because NFS client doesn't autonegotiate
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-image-uploader
Version: 3.1.0
Hardware: Unspecified
OS: Unspecified
urgent
unspecified
Target Milestone: ---
: 3.1.2
Assignee: Kiril Nesenko
QA Contact: Leonid Natapov
URL:
Whiteboard: integration
Keywords: ZStream
Depends On: 796352
Blocks: 858626 861444 883511
TreeView+ depends on / blocked
 
Reported: 2012-12-04 18:49 UTC by Idith Tal-Kohen
Modified: 2014-07-11 00:09 UTC (History)
18 users (show)

(edit)
Previously, NFS failed to auto-negotiate the version when mounting Gluster volumes as NFS storage domains in the Red Hat Enterprise Virtualization Manager. The rhevm-image-uploader tool has been set to use NFS version 3 by default, and now successfully mounts Gluster volumes as NFS storage domains.
Clone Of: 857028
(edit)
Last Closed: 2012-12-18 20:06:24 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:1586 normal SHIPPED_LIVE rhevm-image-uploader bug fix update 2012-12-19 01:05:56 UTC

Comment 3 Leonid Natapov 2012-12-13 15:49:07 UTC
si 25.

1.created gluster volume and added as export domain (NFS)
2.image successfully uploaded to export domain.

[root@leonid-rhevm31 /]# rhevm-image-uploader -v upload -e lesik_export lala.ovf 
Please provide the REST API password for the admin@internal RHEV-M user (CTRL+D to abort): 
DEBUG: API Vendor(Red Hat)      API Version(3.1.0)
DEBUG: id=53fd4b30-a6b5-42aa-be2f-8ac9a2ffaeaa address=filer01.qa.lab.tlv.redhat.com path=/lesik
DEBUG: local NFS mount point is /tmp/tmpKOcA9L
DEBUG: NFS mount command (/bin/mount -t nfs -o rw,sync,soft,vers=3 filer01.qa.lab.tlv.redhat.com:/lesik /tmp/tmpKOcA9L)
DEBUG: /bin/mount -t nfs -o rw,sync,soft,vers=3 filer01.qa.lab.tlv.redhat.com:/lesik /tmp/tmpKOcA9L
DEBUG: _cmds(['/bin/mount', '-t', 'nfs', '-o', 'rw,sync,soft,vers=3', 'filer01.qa.lab.tlv.redhat.com:/lesik', '/tmp/tmpKOcA9L'])
DEBUG: returncode(0)
DEBUG: STDOUT()
DEBUG: STDERR()
DEBUG: local extract directory for OVF is /tmp/tmpqUdpZV
DEBUG: Size of lala.ovf:        1074794609 bytes        1049604.0 1K-blocks     1025.0 MB
DEBUG: Available space in /tmp/tmpqUdpZV:       3621433344 bytes        3536556.0 1K-blocks     3453.0 MB

Comment 5 errata-xmlrpc 2012-12-18 20:06:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-1586.html


Note You need to log in before you can comment on or make changes to this bug.